Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class FieldExpression

Represents a field access such as the expression "this.foo".

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`FieldNode` | `field`

Constructor Summary
`FieldExpression(FieldNode field)`

Method Summary
`FieldNode` | `getField()`
`String` | `getFieldName()`
`String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamicTyped()`
`void` | `setType(ClassNode type)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### FieldExpression

    public FieldExpression(FieldNode field)

Method Detail

### getField

    public FieldNode getField()

### getFieldName

    public String getFieldName()

### getText

    public String getText()

### getType

    public ClassNode getType()

### isDynamicTyped

    public boolean isDynamicTyped()

### setType

    public void setType(ClassNode type)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)